%global srcrelease 1
%global sum A download library that separates workflow from implementation details
%global desc Nectar is a download library that abstracts the workflow of making \
and tracking download requests away from the mechanics of how those requests are \
carried out. It allows multiple downloaders to exist with different \
implementations, such as the default "threaded" downloader, which uses the \
"requests" library with multiple threads. Other experimental downloaders have \
used tools like pycurl and eventlets.


Name:           python-nectar
Version:        1.5.4
Release:        1%{?dist}
BuildArch:      noarch

Summary:        %{sum}
License:        GPLv2+
URL:            https://github.com/pulp/nectar
Source0:        https://github.com/pulp/nectar/archive/%{name}-%{version}-%{srcrelease}.tar.gz

BuildRequires:  python2-devel


%description
%{desc}


%package -n python2-nectar
Summary:        %{sum}
Requires:       python-isodate
Requires:       python-requests
%{?python_provide:%python_provide python2-nectar}


%description -n python2-nectar
%{desc}


%prep
%autosetup -n nectar-%{name}-%{version}-%{srcrelease}


%build
%py2_build


%install
%py2_install


%files -n python2-nectar
%license COPYRIGHT LICENSE.txt
%doc README.rst
%{python2_sitelib}/nectar
%{python2_sitelib}/nectar*.egg-info


%changelog
* Mon Apr 24 2017 Ina Panova <ipanova@redhat.com> 1.5.4-1
- Making a new release of package

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 14 2016 Ina Panova <ipanova@redhat.com> 1.5.3-1
- Making a new release of package

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu May 26 2016 Ina Panova <ipanova@redhat.com> 1.5.2-1
- Making a new release of package

* Wed May 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.5.1-2
- Change license to GPLv2+ as per the COPYRIGHT file.

* Mon Mar 14 2016 Ina Panova <ipanova@redhat.com> 1.5.1-1
- Making a new release of package
- Removing python-requests-toolbelt from dependencies

* Thu Mar 03 2016 Ina Panova <ipanova@redhat.com> 1.5.0-1
- Making a new release of package

* Fri Feb 19 2016 Ina Panova <ipanova@redhat.com> 1.4.5-1
- Making a new release of package

* Wed Feb 03 2016 Randy Barlow <rbarlow@redhat.com> 1.4.4-2
- Rework the spec to create a single subpackage called python2-nectar (#1301754).
- Use the autosetup macro.
- Reorganize things a little bit.

* Wed Feb 03 2016 Ina Panova <ipanova@redhat.com> 1.4.4-1
- Making a new release of package
- Adding a new dependency python-requests-toolbelt

* Mon Jan 11 2016 Ina Panova <ipanova@redhat.com> 1.4.3-1
- Making a new release of package

* Fri Dec 18 2015 Randy Barlow <rbarlow@redhat.com> 1.4.2-2
- 1288901: Disabled running the unit tests in the spec file, as the upstream tests are unstable

* Tue Dec 15 2015 Ina Panova <ipanova@redhat.com> 1.4.2-1
- Making a new release of package

* Wed Nov 25 2015 Ina Panova <ipanova@redhat.com> 1.4.1-1
- Initial packaging
